# fontcache.cpp File Reference

Cache for characters from fonts. More...

`#include "stdafx.h"`
`#include "spritecache.h"`
`#include "fontcache.h"`
`#include "blitter/factory.hpp"`
`#include "gfx_func.h"`
`#include "core/alloc_func.hpp"`
`#include "core/math_func.hpp"`
`#include "table/sprites.h"`
`#include "table/control_codes.h"`
`#include "table/unicode.h"`

Go to the source code of this file.

## Functions
static SpriteID | GetFontBase (FontSize size)
| Get the SpriteID of the first glyph for the given font size.
SpriteID | GetUnicodeGlyph (FontSize size, uint32 key)
| Get the SpriteID mapped to the given font size and key.
void | SetUnicodeGlyph (FontSize size, uint32 key, SpriteID sprite)
| Map a SpriteID to the font size and key.
void | InitializeUnicodeGlyphMap ()
| Initialize the glyph map.
## Variables
static SpriteID ** | _unicode_glyph_map [FS_END]

## Detailed Description

Cache for characters from fonts.

Definition in file fontcache.cpp.